Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.alepc.encoding
Interface PCXMLDeserializer

public interface PCXMLDeserializer

Provides a facility for importing ALEPC API complex types from XML. NOTE: The implementations for this interface are guaranteed to be thread-safe.

Method Summary
`EPCCacheReport` | `deserializeEPCCacheReport(java.io.Reader reader)` Reads XML from the specified `reader` and constructs the corresponding `EPCCacheReport` instance.
`EPCCacheReport` | `deserializeEPCCacheReport(java.lang.String xmlStr)` Reads XML from the specified string and constructs the corresponding `EPCCacheReport` instance.
`EPCCacheSpec` | `deserializeEPCCacheSpec(java.io.Reader reader)` Reads XML from the specified `reader` and constructs the corresponding `EPCCacheSpec` instance.
`EPCCacheSpec` | `deserializeEPCCacheSpec(java.lang.String xmlStr)` Reads XML from the specified string and constructs the corresponding `EPCCacheSpec` instance.
`EPCCacheSpecInfo` | `deserializeEPCCacheSpecInfo(java.io.Reader reader)` Reads XML from the specified `reader` and constructs the corresponding `EPCCacheSpecInfo` instance.
`EPCCacheSpecInfo` | `deserializeEPCCacheSpecInfo(java.lang.String xmlStr)` Reads XML from the specified string and constructs the corresponding `EPCCacheSpecInfo` instance.
`EPCPatterns` | `deserializeEPCPatterns(java.io.Reader reader)` Reads XML from the specified `reader` and constructs the corresponding `EPCPatterns` instance.
`EPCPatterns` | `deserializeEPCPatterns(java.lang.String xmlStr)` Reads XML from the specified string and constructs the corresponding `EPCPatterns` instance.
`PCSpec` | `deserializePCSpec(java.io.Reader reader)` Reads XML from the specified `reader` and constructs the corresponding `PCSpec` instance.
`PCSpec` | `deserializePCSpec(java.lang.String xmlStr)` Reads XML from the specified string and constructs the corresponding `PCSpec` instance.
`PCSpecInfo` | `deserializePCSpecInfo(java.io.Reader reader)` Reads XML from the specified `reader` and constructs the corresponding `PCSpecInfo` instance.
`PCSpecInfo` | `deserializePCSpecInfo(java.lang.String xmlStr)` Reads XML from the specified string and constructs the corresponding `PCSpecInfo` instance.
`PCSubscriptionControls` | `deserializePCSubscriptionControls(java.io.Reader reader)` Reads XML from the specified `reader` and constructs the corresponding `PCSubscriptionControls` instance.
`PCSubscriptionControls` | `deserializePCSubscriptionControls(java.lang.String xmlStr)` Reads XML from the specified string and constructs the corresponding `PCSubscriptionControls` instance.
`PCSubscriptionInfo` | `deserializePCSubscriptionInfo(java.io.Reader reader)` Reads XML from the specified `reader` and constructs the corresponding `PCSubscriptionInfo` instance.
`PCSubscriptionInfo` | `deserializePCSubscriptionInfo(java.lang.String xmlStr)` Reads XML from the specified string and constructs the corresponding `PCSubscriptionInfo` instance.
`PCWriteReport` | `deserializePCWriteReport(java.io.Reader reader)` Reads XML from the specified `reader` and constructs the corresponding `PCWriteReport` instance.
`PCWriteReport` | `deserializePCWriteReport(java.lang.String xmlStr)` Reads XML from the specified string and constructs the corresponding `PCWriteReport` instance.

Method Detail

### deserializePCSpec

    public PCSpec deserializePCSpec(java.io.Reader reader)
                             throws java.io.IOException,
                                    PCXMLDeserializerException

  Reads XML from the specified `reader` and constructs the corresponding `PCSpec` instance.

  Parameters:
    `reader` - The `Reader` instance to read from.
  Returns:
    The deserialized `PCSpec`.
  Throws:
    `java.io.IOException` - An I/O error occurred while deserializing the XML from the specified reader.
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializePCSpec

    public PCSpec deserializePCSpec(java.lang.String xmlStr)
                             throws PCXMLDeserializerException

  Reads XML from the specified string and constructs the corresponding `PCSpec` instance.

  Parameters:
    `xmlStr` - The string to read from.
  Returns:
    The deserialized `PCSpec`.
  Throws:
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializePCSpecInfo

    public PCSpecInfo deserializePCSpecInfo(java.io.Reader reader)
                                     throws java.io.IOException,
                                            PCXMLDeserializerException

  Reads XML from the specified `reader` and constructs the corresponding `PCSpecInfo` instance.

  Parameters:
    `reader` - The `Reader` instance to read from.
  Returns:
    The deserialized `PCSpecInfo`.
  Throws:
    `java.io.IOException` - An I/O error occurred while deserializing the XML from the specified reader.
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializePCSpecInfo

    public PCSpecInfo deserializePCSpecInfo(java.lang.String xmlStr)
                                     throws PCXMLDeserializerException

  Reads XML from the specified string and constructs the corresponding `PCSpecInfo` instance.

  Parameters:
    `xmlStr` - The string to read from.
  Returns:
    The deserialized `PCSpecInfo`.
  Throws:
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeEPCCacheSpec

    public EPCCacheSpec deserializeEPCCacheSpec(java.io.Reader reader)
                                         throws java.io.IOException,
                                                PCXMLDeserializerException

  Reads XML from the specified `reader` and constructs the corresponding `EPCCacheSpec` instance.

  Parameters:
    `reader` - The `Reader` instance to read from.
  Returns:
    The deserialized `EPCCacheSpec`.
  Throws:
    `java.io.IOException` - An I/O error occurred while deserializing the XML from the specified reader.
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeEPCCacheSpec

    public EPCCacheSpec deserializeEPCCacheSpec(java.lang.String xmlStr)
                                         throws PCXMLDeserializerException

  Reads XML from the specified string and constructs the corresponding `EPCCacheSpec` instance.

  Parameters:
    `xmlStr` - The string to read from.
  Returns:
    The deserialized `EPCCacheSpec`.
  Throws:
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeEPCCacheSpecInfo

    public EPCCacheSpecInfo deserializeEPCCacheSpecInfo(java.io.Reader reader)
                                                 throws java.io.IOException,
                                                        PCXMLDeserializerException

  Reads XML from the specified `reader` and constructs the corresponding `EPCCacheSpecInfo` instance.

  Parameters:
    `reader` - The `Reader` instance to read from.
  Returns:
    The deserialized `EPCCacheSpecInfo`.
  Throws:
    `java.io.IOException` - An I/O error occurred while deserializing the XML from the specified reader.
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeEPCCacheSpecInfo

    public EPCCacheSpecInfo deserializeEPCCacheSpecInfo(java.lang.String xmlStr)
                                                 throws PCXMLDeserializerException

  Reads XML from the specified string and constructs the corresponding `EPCCacheSpecInfo` instance.

  Parameters:
    `xmlStr` - The string to read from.
  Returns:
    The deserialized `EPCCacheSpecInfo`.
  Throws:
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializePCWriteReport

    public PCWriteReport deserializePCWriteReport(java.io.Reader reader)
                                           throws java.io.IOException,
                                                  PCXMLDeserializerException

  Reads XML from the specified `reader` and constructs the corresponding `PCWriteReport` instance.

  Parameters:
    `reader` - The `Reader` instance to read from.
  Returns:
    The deserialized `PCWriteReport`.
  Throws:
    `java.io.IOException` - An I/O error occurred while deserializing the XML from the specified reader.
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializePCWriteReport

    public PCWriteReport deserializePCWriteReport(java.lang.String xmlStr)
                                           throws PCXMLDeserializerException

  Reads XML from the specified string and constructs the corresponding `PCWriteReport` instance.

  Parameters:
    `xmlStr` - The string to read from.
  Returns:
    The deserialized `PCWriteReport`.
  Throws:
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeEPCCacheReport

    public EPCCacheReport deserializeEPCCacheReport(java.io.Reader reader)
                                             throws java.io.IOException,
                                                    PCXMLDeserializerException

  Reads XML from the specified `reader` and constructs the corresponding `EPCCacheReport` instance.

  Parameters:
    `reader` - The `Reader` instance to read from.
  Returns:
    The deserialized `EPCCacheReport`.
  Throws:
    `java.io.IOException` - An I/O error occurred while deserializing the XML from the specified reader.
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeEPCCacheReport

    public EPCCacheReport deserializeEPCCacheReport(java.lang.String xmlStr)
                                             throws PCXMLDeserializerException

  Reads XML from the specified string and constructs the corresponding `EPCCacheReport` instance.

  Parameters:
    `xmlStr` - The string to read from.
  Returns:
    The deserialized `EPCCacheReport`.
  Throws:
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeEPCPatterns

    public EPCPatterns deserializeEPCPatterns(java.io.Reader reader)
                                       throws java.io.IOException,
                                              PCXMLDeserializerException

  Reads XML from the specified `reader` and constructs the corresponding `EPCPatterns` instance.

  Parameters:
    `reader` - The `Reader` instance to read from.
  Returns:
    The deserialized `EPCPatterns`.
  Throws:
    `java.io.IOException` - An I/O error occurred while deserializing the XML from the specified reader.
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeEPCPatterns

    public EPCPatterns deserializeEPCPatterns(java.lang.String xmlStr)
                                       throws PCXMLDeserializerException

  Reads XML from the specified string and constructs the corresponding `EPCPatterns` instance.

  Parameters:
    `xmlStr` - The string to read from.
  Returns:
    The deserialized `EPCPatterns`.
  Throws:
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializePCSubscriptionControls

    public PCSubscriptionControls deserializePCSubscriptionControls(java.io.Reader reader)
                                                             throws java.io.IOException,
                                                                    PCXMLDeserializerException

  Reads XML from the specified `reader` and constructs the corresponding `PCSubscriptionControls` instance.

  Parameters:
    `reader` - The `Reader` instance to read from.
  Returns:
    The deserialized `PCSubscriptionControls`.
  Throws:
    `java.io.IOException` - An I/O error occurred while deserializing the XML from the specified reader.
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializePCSubscriptionControls

    public PCSubscriptionControls deserializePCSubscriptionControls(java.lang.String xmlStr)
                                                             throws PCXMLDeserializerException

  Reads XML from the specified string and constructs the corresponding `PCSubscriptionControls` instance.

  Parameters:
    `xmlStr` - The string to read from.
  Returns:
    The deserialized `PCSubscriptionControls`.
  Throws:
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializePCSubscriptionInfo

    public PCSubscriptionInfo deserializePCSubscriptionInfo(java.io.Reader reader)
                                                     throws java.io.IOException,
                                                            PCXMLDeserializerException

  Reads XML from the specified `reader` and constructs the corresponding `PCSubscriptionInfo` instance.

  Parameters:
    `reader` - The `Reader` instance to read from.
  Returns:
    The deserialized `PCSubscriptionInfo`.
  Throws:
    `java.io.IOException` - An I/O error occurred while deserializing the XML from the specified reader.
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializePCSubscriptionInfo

    public PCSubscriptionInfo deserializePCSubscriptionInfo(java.lang.String xmlStr)
                                                     throws PCXMLDeserializerException

  Reads XML from the specified string and constructs the corresponding `PCSubscriptionInfo` instance.

  Parameters:
    `xmlStr` - The string to read from.
  Returns:
    The deserialized `PCSubscriptionInfo`.
  Throws:
    `PCXMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD